<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
    <head>
        <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
        <link rel="stylesheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
        <title>About the NetBeans IDE for PHP</title>
    </head>
    <body>
        <h2>About the NetBeans IDE for PHP</h2>
        <p> <small><a href="#seealso">See Also</a>&nbsp; </small> </p>
        <p>
            The NetBeans IDE (Integrated Developer Environment) for PHP provides tools for 
            PHP programmers. The core of NetBeans PHP support is the PHP Editor, which
            includes code completion and other programming aids. NetBeans IDE for PHP can also be
            integrated with the Xdebug debugger, PHPUnit tester, and PHPDocumentor documentation
            generator. 
        </p>
        <p>Please note that the NetBeans IDE is designed to be as lightweight as possible. It
        does not contain visual design tools or other heavy-duty features.</p>
        <h3>Databases</h3>
        <p>The NetBeans IDE supports work with databases. Open the Services window and register
            your database by right-clicking the Databases node. You may need to add the path to your
            database driver as well. NetBeans IDE provides a tree view of database contents and an
            SQL editor. For more information, see <a href="nbdocs:/org/netbeans/modules/db/docs/connectdb.html">
                Connecting to a Database</a>.</p>
        <h3>Remote Development</h3>

        <p>The NetBeans IDE includes support for Subversion, Mercurial, and Git versioning systems. 
            You can also add CVS support as a plugin. See 
            <a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/collab/collab_about.html">About
                Collaborative Development</a>.</p>
        <p>The IDE also provides basic support for FTP/SFTP, sufficient for a lone developer to work on
            a simple project. If you are working on a complicated project or with multiple developers,
            you should use a version control system. If you must use FTP/SFTP with a complicated project, consider
            using the IDE in combination with a full-featured FTP client.</p>
        <h3>Public Releases and Development Builds</h3>
        <p>To see the latest features and try them out while they are in progress, install a daily development build
        of the IDE. For a safer alternative, use the public release. Both public release and development builds can
        be installed from http://netbeans.org/downloads/index.html. Look for the Development link.</p>
        <h3>Getting Help</h3>
        <p>In addition to the topics shown here, NetBeans IDE for PHP provides the following sources of information:</p>
        <ul>
            <li><b>Context-sensitive help.</b> Click the Help button in a dialog to see a description of the options
            in that dialog. Context-sensitive help is also available for the Editor, Projects, Services, 
            Files, and other windows. Select any item in a window and press F1 to see the help for that
            window.</li>
            <li><b>Web-based tutorials.</b> See the <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://www.netbeans.org/kb/trails/php.html">
                            <param name="text" value="<html><u>PHP Learning Trail</u></html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object>.</li>
                        <li><b>NetBeans PHP Users Forum and Mailing List.</b> A forum for PHP users 
                            is available at <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://forums.netbeans.org/php-users.html">
                            <param name="text" value="<html><u>NetBeans Forum for PHP</u></html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object>.
                        <p>This forum is mirrored as a mailing list. Subscribe to the mailing list or
                        the forum at <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://netbeans.org/community/lists/index.html">
                            <param name="text" value="<html><u>NetBeans Mailing Lists and Forums</u></html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object></p></li>
                        <li><b>NetBeans PHP Blog.</b> The NetBeans PHP development team keeps a blog where
                        you can learn about future plans and the latest NetBeans features. Comments welcome!
                        See the <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://blogs.oracle.com/netbeansphp/">
                            <param name="text" value="<html><u>NetBeans for PHP Blog</u>.</html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object></li>
        </ul>
        
        
        
        <p>For a more detailed description of NetBeans PHP Editor features, please see the following document.</p>
            <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                <param name="content" value="http://www.netbeans.org/kb/docs/php/editorguide.html">
                <param name="text" value="<html><u>NetBeans IDE for PHP Editor: Brief Overview (Web document)</u></html>">
                <param name="textFontSize" value="medium">
                <param name="textColor" value="blue">
            </object>
        <dl> 
          <dt><a name="seealso">See Also</a></dt>
          <dd><a href="php-projects.html">About PHP Projects</a></dd>
          <dd><a href="process.html">Working with PHP</a></dd>
          <dd><a href="php_quickref.html">Project Tasks: Quick Reference</a>
          </dd>
        </dl>
        <hr>
        
        <p><small><a href="credits.html">Legal Notices</a></small></p>
        <table border="0" cellpadding="50">
            <tr><td>&nbsp;</td></tr>
        </table>
    </body>
</html> 
